from time import time
import pickle

print(start := time())
slovník = {}
with open('syn2010_word.vyber-ascii.txt', mode='tr', encoding='utf-8') as f:
    for line in f:
        word = line.strip()
        písmen = len(word)
        if písmen in slovník:
            slovník[písmen].add(word)
        else:
            slovník[písmen] = {word}
print(end := time())
print(end - start)

print(len(slovník))
for k,v in sorted(slovník.items()):
    print(k, len(v))

with open('slovník.pickle', mode='bw') as file:
    pickle.dump(slovník, file)
